<?php

/**
 * Logger Implements simple condition based logger
 *
 * @category Class
 * @package  Woocommerce
 * @author   None <none@fake.com>
 * @license  http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * @link     http://www.none.com/
 */
class ZP_Logger
{
    /**
     * Constructor of the Logger
     *
     * @return void
     */
    public function __construct()
    {
        $this->debug = false;
        $this->log = new WC_Logger();
    }

    /**
     * Set the debug flag
     *
     * @param bool $debug State of the debug
     *
     * @return void
     */
    public function setFebug(bool $debug)
    {
        $this->debug = $debug;
    }

    /**
     * Perform an info log
     *
     * @param string $msg The message of the action
     *
     * @return void
     */
    public function info(string $msg)
    {
        if ($this->debug) {
            $this->log->add('zeamster', $msg, WC_Log_Levels::INFO);
        }
    }

    /**
     * Perform an error log
     *
     * @param string $msg The message of the action
     *
     * @return void
     */
    public function error(string $msg)
    {
        if ($this->debug) {
            $this->log->add('zeamster', $msg, WC_Log_Levels::ERROR);
        }
    }
}
